FROM python:3.12

# Create app directory
WORKDIR /app

# Install app dependencies
COPY requirements.txt ./

RUN pip install -r requirements.txt


COPY ezgg_website ./ezgg_website
COPY rio.toml ./
COPY .project-root ./

EXPOSE 8001
CMD [ "rio", "run", "--release", "--public" ]
